
Redmine - Defect #8521

undefined method `<<' for nil:NilClass during 1.1.3 to 1.2.0 upgrade

2011-06-03 21:04 - Tim A

Status: Closed Start date: 2011-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Got this error undefined method `<<' for nil:NilClass after during database upgrade with the command: rake db:migrate

RAILS_ENV=production

Gems list attached.

Ruby version 1.8.7

History

#1 - 2011-06-03 21:07 - Alex Last

see bug #8520 reported a bit earlier today

#2 - 2011-06-03 21:13 - Tim A

I get this message during database upgrade, not on a login as in Issue #8520

#3 - 2011-06-04 14:18 - Etienne Massip

gem list looks fine, could you please run rake db:migrate --trace ?

#4 - 2011-06-06 21:49 - Tim A

- Status changed from New to Resolved

I tried to repeat the process from scratch and now everything is ok. I think we can close this issue.

#5 - 2011-06-07 09:00 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for feedback.
